Please backport cacti 0.8.8a-3 (universe) from quantal to precise.

Bug #1018693 reported by thomaslz on 2012-06-28
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Oneiric Backports
Undecided
Unassigned

Bug Description

Please backport cacti 0.8.8a-3 (universe) from quantal to precise.

Reason for the backport:
========================
Hi,
I've planned to upgrade to 12.04 Server LTS, now testing it on our test system, all is pretty good.
except that i would need to upgrade my old cacti 8.7d to cacti 8.8a.
But the distribution comes only with 8.7i which PIA do not work correctly. i have been told by cacti to use 8.8a.
is there a repo to point to to get the 8.8a to be installed on 12.04?
many thanks in advance
cheers!
Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s quantal -d precise cacti

* precise:
[X] Package builds without modification
[ ] cacti installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of cacti. For reverse-build-dependencies (-Indep), please test that the package still builds against the new cacti. For reverse-dependencies, please test that the version of the package currently in the release still works with the new cacti installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

cacti
-----
* cacti-spine
  [ ] precise (Reverse-Depends)

thomaslz (thomaslzp) on 2012-06-28
affects: ubuntu → cacti (Ubuntu)
Micah Gersten (micahg) on 2012-06-28
description: updated
summary: - 12.04 Server LTS cacti 8.8a Question #201679
+ Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
Micah Gersten (micahg) wrote :

I've gone ahead and uploaded a test version to my backports PPA (ppa:micahg/ppa), if someone could perform the tests requested in the description, I'd be happy to upload this to precise-backports.

affects: cacti (Ubuntu) → precise-backports
description: updated
thomaslz (thomaslzp) wrote :

I will try it out, let me know what to do. i've just started installing ubuntu-dev-tools..

thanks!

thomaslz (thomaslzp) wrote :
Download full text (3.4 KiB)

thomas@ubuntu-dev:~$ backportpackage -u ppa:micahg/ppa -s quantal -d precise cac ti
backportpackage: Downloading cacti_0.8.8a.orig.tar.gz from archive.ubuntu.com (2.168 MiB)
backportpackage: Downloading cacti_0.8.8a-3.debian.tar.gz from archive.ubuntu.com (0.045 MiB)
dpkg-source: info: extracting cacti in cacti-precise
dpkg-source: info: unpacking cacti_0.8.8a.orig.tar.gz
dpkg-source: info: unpacking cacti_0.8.8a-3.debian.tar.gz
dpkg-source: info: applying 05_no-adodb.patch
dpkg-source: info: applying 06_config_settings.php_cactid_path.patch
dpkg-source: info: applying 07_cli-include-path.patch
dpkg-source: info: applying 08_563955_local_data_id.patch
dpkg-source: info: applying 09_use-utf8.patch
dpkg-source: info: applying 10_566609_suhosin.memory_limit.patch
dpkg-source: info: applying cacti.sql_ensure_cron_works.patch
dpkg-source: info: applying cacti.sql_drop_tables_to_begin.patch
dch warning: new version (0.8.8a-3~precise1~ppa1) is less than
the current version number (0.8.8a-3).
 dpkg-buildpackage -rfakeroot -d -us -uc -S -nc -sa
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor): -D_FORTIFY_SOURCE=2
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions -Wl,-z,relro
dpkg-buildpackage: source package cacti
dpkg-buildpackage: source version 0.8.8a-3~precise1~ppa1
dpkg-buildpackage: source changed by thomas <thomas@ubuntu-dev>
 dpkg-source --before-build cacti-precise
dpkg-buildpackage: warning: it is a bad idea to generate a source package without cleaning up first, it might contain undesired files.
 dpkg-source -b cacti-precise
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building cacti using existing ./cacti_0.8.8a.orig.tar.gz
dpkg-source: info: building cacti in cacti_0.8.8a-3~precise1~ppa1.debian.tar.gz
dpkg-source: info: building cacti in cacti_0.8.8a-3~precise1~ppa1.dsc
 dpkg-genchanges -S -sa >../cacti_0.8.8a-3~precise1~ppa1_source.changes
dpkg-genchanges: warning: the current version (0.8.8a-3~precise1~ppa1) is earlier than the previous one (0.8.8a-3)
dpkg-genchanges: including full source code in upload
 dpkg-source --after-build cacti-precise
dpkg-buildpackage: full upload (original source is included)
Now signing changes and any dsc files...
 signfile cacti_0.8.8a-3~precise1~ppa1.dsc thomas <thomas@ubuntu-dev>
gpg: directory `/home/thomas/.gnupg' created
gpg: new configuration file `/home/thomas/.gnupg/gpg.conf' created
gpg: WARNING: options in `/home/thomas/.gnupg/gpg.conf' are not yet active during this run
gpg: keyring `/home/thomas/.gnupg/secring.gpg' created
gpg: keyring `/home/thomas/.gnupg/pubring.gpg' created
gpg: skipped "tho...

Read more...

Micah Gersten (micahg) wrote :

You just need to install and run the packages in my PPA: https://launchpad.net/~micahg/+archive/ppa/+packages
They should be published in the next 15 minutes.

You also need to make sure that cacti-spine still installs and runs with the new version of cacti

Micah Gersten (micahg) wrote :

Err...the cacti packages, not everything in there :)

So do you want me to do a reinstall cacti and cact-spine then execute
the backportpackages?

Or i will wait for 15mins then restart the backportpackages.

:-)
many thanks for your help!!

-tom

On Thu, Jun 28, 2012 at 12:53 PM, Micah Gersten
<email address hidden> wrote:
> Err...the cacti packages, not everything in there :)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
>  Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Micah Gersten (micahg) wrote :

You can upgrade to the cacti package in my PPA. For the record, I don't suggest testing this in production. For cacti-spine, it would be helpful to uninstall and reinstall. And then just make sure both packages run/work.

thomaslz (thomaslzp) wrote :

okay, i've remove and reinstall cacti-spine.

so do i do the backports or how do i trigger an upgrade from your PPA?

thanks!

On Thu, Jun 28, 2012 at 1:27 PM, Micah Gersten
<email address hidden> wrote:
> You can upgrade to the cacti package in my PPA.  For the record, I don't
> suggest testing this in production.  For cacti-spine, it would be
> helpful to uninstall and reinstall.  And then just make sure both
> packages run/work.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
>  Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Micah Gersten (micahg) wrote :

sudo add-apt-repository ppa:micahg/ppa

then when you're done with the PPA

sudo add-apt-repository -r ppa:micahg/ppa

thomaslz (thomaslzp) wrote :

Thanks,

it works great! everything just came back up including my graphs!!

I will do more test to make sure everything works and provide you with feedback!

cheers!
-tom
(Reading database ... 68930 files and directories currently installed.)
Preparing to replace cacti 0.8.7i-2ubuntu1 (using .../cacti_0.8.8a-3~ubuntu12.04.1~ppa1_all.deb) ...
Unpacking replacement cacti ...
Setting up cacti (0.8.8a-3~ubuntu12.04.1~ppa1) ...
Installing new version of config file /etc/cron.d/cacti ...
dbconfig-common: writing config to /etc/dbconfig-common/cacti.conf
Replacing config file /etc/cacti/debian.php with new version
dbconfig-common: flushing administrative password
thomas@ubuntu-dev:~$
thomas@ubuntu-dev:~$

thomaslz (thomaslzp) wrote :

spine is having errors.

06/28/2012 02:25:01 PM - POLLER: Poller[0] ERROR: The path: is invalid. Can not continue
06/28/2012 02:23:57 PM - SYSTEM STATS: Time:235.8549 Method:cmd.php Processes:10 Threads:N/A Hosts:300 HostsPerProcess:30 DataSources:7890 RRDsProcessed:3568

Micah Gersten (micahg) wrote :

I assume these errors didn't exist in the precise version?

thomaslz (thomaslzp) wrote :

Yes, it didn't exist before, also I am not getting any polling information from the devices...

I only got the history - restored from the previous cacti.sql

thomaslz (thomaslzp) wrote :

I am wipping out the test server, and try to redo these steps with a
fresh install.

let you know how it goes.

On Thu, Jun 28, 2012 at 4:12 PM, thomaslz <email address hidden> wrote:
> Yes, it didn't exist before, also I am not getting any polling
> information from the devices...
>
> I only got the history - restored from the previous cacti.sql
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

thomaslz (thomaslzp) wrote :

07/02/2012 12:45:04 PM - SPINE: Poller[0] FATAL: Connection Failed,
Error:'1040', Message:'Too many connections' (Spine thread)
07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
[127.0.0.1]: 'perl
/usr/share/cacti/site/scripts/query_unix_partitions.pl get used
/dev/mapper/cvni--nms--01-root'
07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
[127.0.0.1]: 'perl
/usr/share/cacti/site/scripts/query_unix_partitions.pl get available
/dev/mapper/cvni--nms--01-root'
07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
[127.0.0.1]: 'perl
/usr/share/cacti/site/scripts/query_unix_partitions.pl get used
/dev/cciss/c0d0p5'
07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
[127.0.0.1]: 'perl
/usr/share/cacti/site/scripts/query_unix_partitions.pl get available
/dev/cciss/c0d0p5'
07/02/2012 12:45:00 PM - POLLER: Poller[0] WARNING: There are '3'
detected as overrunning a polling process, please investigate
07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING: Required
modules for PHP Weathermap 0.96a were not present. Not running.
[WMPOLL08]
run check.php to check PHP requirements.
07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]

07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
: Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
DEBUG in Cacti for more information
07/02/2012 12:45:00 PM - WEATHERMAP
07/02/2012 12:45:00 PM - SYSTEM THOLD STATS: Time:0.0362 Tholds:1 Hosts:0
07/02/2012 12:45:00 PM - SYSTEM STATS: Time:298.0482 Method:spine
Processes:60 Threads:50 Hosts:302 HostsPerProcess:6 DataSources:8036
RRDsProcessed:3242
07/02/2012 12:45:00 PM - POLLER: Poller[0] Maximum runtime of 298
seconds exceeded. Exiting.
07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
WHERE device_id=131"
07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
WHERE device_id=106"

On Mon, Jul 2, 2012 at 11:44 AM, thomaslam <email address hidden> wrote:
> I am wipping out the test server, and try to redo these steps with a
> fresh install.
>
> let you know how it goes.
>
> On Thu, Jun 28, 2012 at 4:12 PM, thomaslz <email address hidden> wrote:
>> Yes, it didn't exist before, also I am not getting any polling
>> information from the devices...
>>
>> I only got the history - restored from the previous cacti.sql
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1018693
>>
>> Title:
>> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

thomaslz (thomaslzp) wrote :

On Mon, Jul 2, 2012 at 12:47 PM, thomaslam <email address hidden> wrote:
> 07/02/2012 12:45:04 PM - SPINE: Poller[0] FATAL: Connection Failed,
> Error:'1040', Message:'Too many connections' (Spine thread)
> 07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
> [127.0.0.1]: 'perl
> /usr/share/cacti/site/scripts/query_unix_partitions.pl get used
> /dev/mapper/cvni--nms--01-root'
> 07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
> [127.0.0.1]: 'perl
> /usr/share/cacti/site/scripts/query_unix_partitions.pl get available
> /dev/mapper/cvni--nms--01-root'
> 07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
> [127.0.0.1]: 'perl
> /usr/share/cacti/site/scripts/query_unix_partitions.pl get used
> /dev/cciss/c0d0p5'
> 07/02/2012 12:45:00 PM - SPINE: Poller[0] Host[1] ERROR: Empty result
> [127.0.0.1]: 'perl
> /usr/share/cacti/site/scripts/query_unix_partitions.pl get available
> /dev/cciss/c0d0p5'
> 07/02/2012 12:45:00 PM - POLLER: Poller[0] WARNING: There are '3'
> detected as overrunning a polling process, please investigate
> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING: Required
> modules for PHP Weathermap 0.96a were not present. Not running.
> [WMPOLL08]
> run check.php to check PHP requirements.
> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
> No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]
>
> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
> : Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
> DEBUG in Cacti for more information
> 07/02/2012 12:45:00 PM - WEATHERMAP
> 07/02/2012 12:45:00 PM - SYSTEM THOLD STATS: Time:0.0362 Tholds:1 Hosts:0
> 07/02/2012 12:45:00 PM - SYSTEM STATS: Time:298.0482 Method:spine
> Processes:60 Threads:50 Hosts:302 HostsPerProcess:6 DataSources:8036
> RRDsProcessed:3242
> 07/02/2012 12:45:00 PM - POLLER: Poller[0] Maximum runtime of 298
> seconds exceeded. Exiting.
> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
> WHERE device_id=131"
> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
> WHERE device_id=106"
>
>
> On Mon, Jul 2, 2012 at 11:44 AM, thomaslam <email address hidden> wrote:
>> I am wipping out the test server, and try to redo these steps with a
>> fresh install.
>>
>> let you know how it goes.
>>
>> On Thu, Jun 28, 2012 at 4:12 PM, thomaslz <email address hidden> wrote:
>>> Yes, it didn't exist before, also I am not getting any polling
>>> information from the devices...
>>>
>>> I only got the history - restored from the previous cacti.sql
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1018693
>>>
>>> Title:
>>> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Paul Gevers (paul-climbing) wrote :

> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING: Required
> modules for PHP Weathermap 0.96a were not present. Not running.
> [WMPOLL08]
> run check.php to check PHP requirements.
> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
> No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]
>
> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
> : Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
> DEBUG in Cacti for more information
> 07/02/2012 12:45:00 PM - WEATHERMAP

Seems like you forgot to install some packages needed for your plug-ins.
Please check the dependencies of you plug-ins.

> 07/02/2012 12:45:00 PM - SYSTEM STATS: Time:298.0482 Method:spine
> Processes:60 Threads:50 Hosts:302 HostsPerProcess:6 DataSources:8036
> RRDsProcessed:3242
> 07/02/2012 12:45:00 PM - POLLER: Poller[0] Maximum runtime of 298
> seconds exceeded. Exiting.

Can you tell us if everything works fine before you install the
plug-ins? This is the first time that the cacti package is created with
plug-in support. We need to be sure that without it things are fine. The
above message suggest that some of your devices time out. This might be
related to your first error message.

> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
> WHERE device_id=131"
> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
> WHERE device_id=106"

Is your cacti database updated or really as your message suggests
freshly installed?

Paul

thomaslz (thomaslzp) wrote :

Hi Paul,

Yes freshly installed with updated database.

On Tue, Jul 3, 2012 at 2:22 AM, Paul Gevers <email address hidden> wrote:
>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING: Required
>> modules for PHP Weathermap 0.96a were not present. Not running.
>> [WMPOLL08]
>> run check.php to check PHP requirements.
>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
>> No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]
>>
>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
>> : Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
>> DEBUG in Cacti for more information
>> 07/02/2012 12:45:00 PM - WEATHERMAP
>
> Seems like you forgot to install some packages needed for your plug-ins.
> Please check the dependencies of you plug-ins.
>
>> 07/02/2012 12:45:00 PM - SYSTEM STATS: Time:298.0482 Method:spine
>> Processes:60 Threads:50 Hosts:302 HostsPerProcess:6 DataSources:8036
>> RRDsProcessed:3242
>> 07/02/2012 12:45:00 PM - POLLER: Poller[0] Maximum runtime of 298
>> seconds exceeded. Exiting.
>
> Can you tell us if everything works fine before you install the
> plug-ins? This is the first time that the cacti package is created with
> plug-in support. We need to be sure that without it things are fine. The
> above message suggest that some of your devices time out. This might be
> related to your first error message.
>
>> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
>> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
>> WHERE device_id=131"
>> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
>> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
>> WHERE device_id=106"
>
> Is your cacti database updated or really as your message suggests
> freshly installed?
>
> Paul
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
>   Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

thomaslz (thomaslzp) wrote :

Just found out my weathermap
NOTE: Because your Cacti poller process probably doesn't run as the
same user as your webserver

07/03/2012 01:25:50 PM - WEATHERMAP
: Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
DEBUG in Cacti for more information
07/03/2012 01:25:50 PM - WEATHERMAP: Poller[0] WARNING:

No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]
07/03/2012 01:25:50 PM - WEATHERMAP: Poller[0] WARNING:
run check.php to check PHP requirements.
07/03/2012 01:25:50 PM - WEATHERMAP: Poller[0] WARNING: Required
modules for PHP Weathermap 0.96a were not present. Not running.
[WMPOLL08]

On Tue, Jul 3, 2012 at 7:18 AM, thomaslam <email address hidden> wrote:
> Hi Paul,
>
> Yes freshly installed with updated database.
>
>
>
> On Tue, Jul 3, 2012 at 2:22 AM, Paul Gevers <email address hidden> wrote:
>>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING: Required
>>> modules for PHP Weathermap 0.96a were not present. Not running.
>>> [WMPOLL08]
>>> run check.php to check PHP requirements.
>>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
>>> No image (gd) extension is loaded. This is required by weathermap. [WMWARN20]
>>>
>>> 07/02/2012 12:45:00 PM - WEATHERMAP: Poller[0] WARNING:
>>> : Poller[0] Weathermap 0.96a starting - Normal logging mode. Turn on
>>> DEBUG in Cacti for more information
>>> 07/02/2012 12:45:00 PM - WEATHERMAP
>>
>> Seems like you forgot to install some packages needed for your plug-ins.
>> Please check the dependencies of you plug-ins.
>>
>>> 07/02/2012 12:45:00 PM - SYSTEM STATS: Time:298.0482 Method:spine
>>> Processes:60 Threads:50 Hosts:302 HostsPerProcess:6 DataSources:8036
>>> RRDsProcessed:3242
>>> 07/02/2012 12:45:00 PM - POLLER: Poller[0] Maximum runtime of 298
>>> seconds exceeded. Exiting.
>>
>> Can you tell us if everything works fine before you install the
>> plug-ins? This is the first time that the cacti package is created with
>> plug-in support. We need to be sure that without it things are fine. The
>> above message suggest that some of your devices time out. This might be
>> related to your first error message.
>>
>>> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
>>> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
>>> WHERE device_id=131"
>>> 07/02/2012 12:44:23 PM - CMDPHP: Poller[0] ERROR: SQL Row Failed!,
>>> Error:'1054', SQL:"SELECT host_id, disabled FROM mac_track_devices
>>> WHERE device_id=106"
>>
>> Is your cacti database updated or really as your message suggests
>> freshly installed?
>>
>> Paul
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1018693
>>
>> Title:
>> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

thomas lam (thomas-lam) wrote :
Download full text (3.3 KiB)

Hi Paul,

I can poll the devices and the interfaces thru cacti's devices menu when i click on verbose query on the interfaces.

so it may because of the rights issues on the rrds?

how can i turn on debugs?

SNMP Information
System:Cisco IOS Software, C3560 Software (C3560-IPSERVICESK9-M), Version
p://www.cisco.com/techsupport Copyright (c) 1986-2010 by Cisco
Systems, Inc. Compiled Fri 26-Mar-10 07:31 by prod_rel_team
Uptime: 87998602 (10 days, 4 hours, 26 minutes)
+ Running data query [1].
+ Found type = '3' [SNMP Query].
+ Found data query XML file at '/usr/share/cacti/site/resource/snmp_queries/interface.xml'
+ XML file parsed ok.
+ Executing SNMP get for num of indexes @ '.1.3.6.1.2.1.2.1.0' Index Count: 55
+ Executing SNMP walk for list of indexes @ '.1.3.6.1.2.1.2.2.1.1' Index Count: 55
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.1' value: '1'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.255' value: '255'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10001' value: '10001'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10002' value: '10002'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10003' value: '10003'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10004' value: '10004'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10005' value: '10005'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10006' value: '10006'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10007' value: '10007'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10008' value: '10008'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10009' value: '10009'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10010' value: '10010'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10011' value: '10011'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10012' value: '10012'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10013' value: '10013'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10014' value: '10014'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10015' value: '10015'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10016' value: '10016'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10017' value: '10017'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10018' value: '10018'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10019' value: '10019'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10020' value: '10020'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10021' value: '10021'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10022' value: '10022'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10023' value: '10023'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10024' value: '10024'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10025' value: '10025'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10026' value: '10026'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10027' value: '10027'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10028' value: '10028'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10029' value: '10029'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10030' value: '10030'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10031' value: '10031'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10032' value: '10032'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10033' value: '10033'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10034' value: '10034'
+ Index found at OID: '1.3.6.1.2.1.2.2.1.1.10035' value: '10035'
+ ...

Read more...

Paul Gevers (paul-climbing) wrote :

On 03-07-12 11:31, thomas lam wrote:> Hi Paul,
> so it may because of the rights issues on the rrds?

ls -al /var/lib/cacti/rra/

> how can i turn on debugs?

Graph debugging can be done in the graph management screen, top right
hand corner: "*Turn On Graph Debug Mode."

Other debugging options:
http://docs.cacti.net/manual:087:4_help.2_debugging#debugging

Paul

thomas lam (thomas-lam) wrote :

Thanks Paul,

found out I make an mistake on cp of rra, they are root:root

So i fix it to www-data:www-data and it works now.. apologies!~

best regards,

Micah Gersten (micahg) wrote :

@thomas

Does this mean that the backported package works without modification or are certain things broke as is?

thomaslz (thomaslzp) wrote :

Hi,

I've no issues running cacti-spine, cacti.

It works great since.

I only have some issues with weathermap plugins which is not maintain by Ubuntu.

Thanks!

Sent from my iPhone

On 10 Jul, 2012, at 2:26 AM, Micah Gersten <email address hidden> wrote:

> @thomas
>
> Does this mean that the backported package works without modification or
> are certain things broke as is?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Brian Jensen (brian-jensen) wrote :

I've been following all of your conversations for a few days. I've done a fresh install of a LAMP server through Tasksel and PHP through php5 php5-gd php5-mysql. After this i do a apt-get from what micha loaded up in cacti 8.8a on the ppa:micahg/pp and cacti-spine. Everything seems to load very nicely, but I can't get any of the plugins to show after they've been installed. They install and enable perfectly, but nothing is there when you click on the links or tabs.

Any thoughts?

Brian

thomaslz (thomaslzp) wrote :

Hi Brian,

Few things to check,

1. did you check the boxes on the user management to allow the plugin view?

2. I notice if i have duplicated plugins directory i.e. /monitor and
/monitor.old the PIA will go haywire - make sure you move the old
backup out from the plugin directory.

hope this help.

My plugins lights up.. just need to fix my weathermap 9.7a

On Thu, Jul 12, 2012 at 8:52 PM, Brian Jensen <email address hidden> wrote:
> I've been following all of your conversations for a few days. I've done
> a fresh install of a LAMP server through Tasksel and PHP through php5
> php5-gd php5-mysql. After this i do a apt-get from what micha loaded up
> in cacti 8.8a on the ppa:micahg/pp and cacti-spine. Everything seems to
> load very nicely, but I can't get any of the plugins to show after
> they've been installed. They install and enable perfectly, but nothing
> is there when you click on the links or tabs.
>
> Any thoughts?
>
> Brian
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Brian Jensen (brian-jensen) wrote :
Download full text (4.5 KiB)

Thomas,

The plugin boxes are checked under each user. The tabs at the top are showing along with the associated links on the side. When I click on any link on the side or tab at the top, I get just a blank page..I checked the apache2 error.log, these are some of the messages that are showing.

[Wed Jul 11 14:06:07 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:07 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:20 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog_alerts.php on line 26, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:20 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog_alerts.php on line 26, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:20 2012] [error] [client 127.0.0.1] PHP Notice: Undefined variable: config in /usr/local/share/cacti/plugins/syslog/syslog_alerts.php on line 52, referer: http://localhost/cacti/plugins.php
[Wed Jul 11 14:06:20 2012] [error] [client 127.0.0.1] PHP Warning: include_once(/include/top_header.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslo...

Read more...

Paul Gevers (paul-climbing) wrote :
Download full text (5.3 KiB)

Hmm, this is indeed a bug in cacti (also in Debian). Supporting the
plug-in infrastructure is new in 0.8.8. Apparently, the plug-ins don't
work well with my choices in the packaging. Please file a separate bug
against cacti, providing the information below and I will forward it to
Debian (where I have to fix it anyway). Not that I am sure how to fix
it, but the answer to the question below will help. Please answer it in
the to-be-filed bug.

Please try if it helps to create a soft-link pointing from
/usr/local/share/cacti/include to /usr/share/cacti/site/include,
something like:
cd /usr/local/share/cacti/ && ln -s ../../../share/cacti/site/include ./

Paul

On 12-07-12 16:17, Brian Jensen wrote:
> Thomas,
>
> The plugin boxes are checked under each user. The tabs at the top are
> showing along with the associated links on the side. When I click on any
> link on the side or tab at the top, I get just a blank page..I checked
> the apache2 error.log, these are some of the messages that are showing.
>
> [Wed Jul 11 14:06:07 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:07 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:13 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Warning: include(): Failed opening './include/auth.php' for inclusion (include_path='.') in /usr/local/share/cacti/plugins/syslog/syslog.php on line 35, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:14 2012] [error] [client 127.0.0.1] PHP Fatal error: Call to undefined function syslog_check_dependencies() in /usr/local/share/cacti/plugins/syslog/syslog.php on line 44, referer: http://localhost/cacti/plugins.php
> [Wed Jul 11 14:06:20 2012] [error] [client 127.0.0.1] PHP Warning: include(./include/auth.php): failed to open stream: No such file or directory in /usr/local/share/cacti/plugins/syslog/syslog_a...

Read more...

Paul Gevers (paul-climbing) wrote :

I filled a bug in Debian for the plug-in issue: bts 681558. With respect to this backport request I am not sure how this issue should be judged. As mentioned, the support for the plug-in architecture is new in 0.8.8, so in that sense, new bugs are to be expected. This is no regression in the old behavior of cacti.

http://bugs.debian.org/681558

Micah Gersten (micahg) wrote :

I'd prefer to get the bug fixed before doing the backport assuming that it's easy enough to fix.

Brian Jensen (brian-jensen) wrote :

I've been checking back and forth at the bug report and no one seems to be responding. I did try the soft link as well and it did not fix the issue. I'm kind of in a bind here, because I need to get this up and going and right now I'm stuck. I've tried loading plugin architecture on the 8.7i release on apt-get, but I cannot for the life of me get the PIA to install correctly. Any help would be greatly appriciated.

thomaslz (thomaslzp) wrote :
  • ss.png Edit (129.0 KiB, image/png; name="ss.png")

Hi,

Let me show you what working now, I got 0.8.8a-3 with PIA 3.1 working.

Plugin management looks fine, although i had to individual find
patches for the old plugins to work.

i.e. mactrack - recreate sq table as the old - restored was not
compatible, weathermap - requires sql patch. etc

so will if i am restoring the old plugins i had to do it one at a
time, unless - i do fresh new installation.

please find my screen shot.

On Thu, Jul 19, 2012 at 10:07 PM, Brian Jensen <email address hidden> wrote:
> I've been checking back and forth at the bug report and no one seems to
> be responding. I did try the soft link as well and it did not fix the
> issue. I'm kind of in a bind here, because I need to get this up and
> going and right now I'm stuck. I've tried loading plugin architecture on
> the 8.7i release on apt-get, but I cannot for the life of me get the PIA
> to install correctly. Any help would be greatly appriciated.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Paul Gevers (paul-climbing) wrote :

I have finally found the time to start up my cacti test environment, and confirm that at least TWO soft links are needed for several plug-ins to work.

/usr/local/share/cacti/include -> /usr/share/cacti/site/include
/usr/local/share/cacti/lib -> /usr/share/cacti/site/lib

Unfortunately, I have not found an way yet (allowed by Debian policy) to create these links in the package itself. I am considering to put this information in the README.Debian file, but believe that quite a lot of people won't find it there.

The problem is that several plug-ins are using php chdir(../../) to move down the tree, but the php implementation of chdir resolves symlinks [1], so in the end the plug-in can not find the include and lib directory. So the solution is in rewriting the plug-ins.

@ Brian Jensen, can you test if adding the second soft link to the /usr/local/share/cacti directory solves your problems?

[1] http://php.net/manual/en/function.chdir.php

thomaslz (thomaslzp) wrote :

Hi Paul,

On Sun, Jul 29, 2012 at 4:31 AM, Paul Gevers <email address hidden> wrote:
> I have finally found the time to start up my cacti test environment, and
> confirm that at least TWO soft links are needed for several plug-ins to
> work.
>
> /usr/local/share/cacti/include -> /usr/share/cacti/site/include
> /usr/local/share/cacti/lib -> /usr/share/cacti/site/lib
>
> Unfortunately, I have not found an way yet (allowed by Debian policy) to
> create these links in the package itself. I am considering to put this
> information in the README.Debian file, but believe that quite a lot of
> people won't find it there.
>
> The problem is that several plug-ins are using php chdir(../../) to move
> down the tree, but the php implementation of chdir resolves symlinks
> [1], so in the end the plug-in can not find the include and lib
> directory. So the solution is in rewriting the plug-ins.
>
> @ Brian Jensen, can you test if adding the second soft link to the
> /usr/local/share/cacti directory solves your problems?
>
> [1] http://php.net/manual/en/function.chdir.php
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

thomaslz (thomaslzp) wrote :

Hi micah,

I was trying to reinstall the 8.8i-3 patch. is it still avaliable?

regards,
tom

On Thu, Jun 28, 2012 at 2:08 PM, Micah Gersten
<email address hidden> wrote:
> sudo add-apt-repository ppa:micahg/ppa
>
> then when you're done with the PPA
>
> sudo add-apt-repository -r ppa:micahg/ppa
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1018693
>
> Title:
> Please backport cacti 0.8.8a-3 (universe) from quantal to precise.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/precise-backports/+bug/1018693/+subscriptions

Paul Gevers (paul-climbing) wrote :

I don't know what you mean by 8.8i-3 patch (you probably mean 8.7i anyway, but still). What do you try to achieve?

houstonbofh (leesharp) wrote :

So what is the current status here? I have a cacti install in production, and I need one plugin. http://docs.cacti.net/plugin:aggregate Is official backport coming? Is this ppa version now bugfixed enough to go? Is there a resolution on the symlinks needed for some plugins?

Paul Gevers (paul-climbing) wrote :

On 18-12-12 18:23, houstonbofh wrote:
> So what is the current status here? I have a cacti install in
> production, and I need one plugin.
> http://docs.cacti.net/plugin:aggregate Is official backport coming? Is
> this ppa version now bugfixed enough to go? Is there a resolution on
> the symlinks needed for some plugins?

I have decided on what I am going to do in Debian. I reverted the move
of the plugins to /usr/local/share and documented what the system
administrator should do.

What is to be done for Ubuntu backports I don't know, because with the
same change in Debian, I also fixed a license issue.

Currently, the change with only the plugin stuff is available in my ppa
[1]. The target is quantal, but can be used without any issue on precise
(no version dependencies).

Paul
[1] https://launchpad.net/~paul-climbing/+archive/cacti/+packages

Micah Gersten (micahg) wrote :

So, we'd need to get the Debian version into raring and then backport to precise through quantal. quantal needs the same testing as precise.

affects: precise-backports → oneiric-backports
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.